com.genesyslab.wfm8.API.service.calendar850

## Class AgentTimeoffBonus

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.AgentTimeoffBonus

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentTimeoffBonus
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentID` Agent ID
    `protected int` | `gswUserID` User ID
    `private static long` | `serialVersionUID`
    `protected double` | `wmBonusHours` Bonus hours
    `protected int` | `wmBonusID` Bonus ID
    `protected java.lang.String` | `wmComments` Comments
    `protected double` | `wmEndDate` Bonus end date
    `protected double` | `wmStartDate` Bonus start date
    `protected double` | `wmSubmitDatetime` Bonus submit date
    `protected int` | `wmTimeoffTypeID` Time Off Type ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentTimeoffBonus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentID()` Gets the value of the gswAgentID property.
    `int` | `getGswUserID()` Gets the value of the gswUserID property.
    `double` | `getWmBonusHours()` Gets the value of the wmBonusHours property.
    `int` | `getWmBonusID()` Gets the value of the wmBonusID property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `double` | `getWmSubmitDatetime()` Gets the value of the wmSubmitDatetime property.
    `int` | `getWmTimeoffTypeID()` Gets the value of the wmTimeoffTypeID property.
    `int` | `hashCode()`
    `void` | `setGswAgentID(int value)` Sets the value of the gswAgentID property.
    `void` | `setGswUserID(int value)` Sets the value of the gswUserID property.
    `void` | `setWmBonusHours(double value)` Sets the value of the wmBonusHours property.
    `void` | `setWmBonusID(int value)` Sets the value of the wmBonusID property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmSubmitDatetime(double value)` Sets the value of the wmSubmitDatetime property.
    `void` | `setWmTimeoffTypeID(int value)` Sets the value of the wmTimeoffTypeID property.
    `java.lang.String` | `toString()`
    `AgentTimeoffBonus` | `withGswAgentID(int value)`
    `AgentTimeoffBonus` | `withGswUserID(int value)`
    `AgentTimeoffBonus` | `withWmBonusHours(double value)`
    `AgentTimeoffBonus` | `withWmBonusID(int value)`
    `AgentTimeoffBonus` | `withWmComments(java.lang.String value)`
    `AgentTimeoffBonus` | `withWmEndDate(double value)`
    `AgentTimeoffBonus` | `withWmStartDate(double value)`
    `AgentTimeoffBonus` | `withWmSubmitDatetime(double value)`
    `AgentTimeoffBonus` | `withWmTimeoffTypeID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBonusID

          protected int wmBonusID

      Bonus ID

    - #### gswAgentID

          protected int gswAgentID

      Agent ID

    - #### wmTimeoffTypeID

          protected int wmTimeoffTypeID

      Time Off Type ID

    - #### wmStartDate

          protected double wmStartDate

      Bonus start date

    - #### wmEndDate

          protected double wmEndDate

      Bonus end date

    - #### wmSubmitDatetime

          protected double wmSubmitDatetime

      Bonus submit date

    - #### wmComments

          protected java.lang.String wmComments

      Comments

    - #### gswUserID

          protected int gswUserID

      User ID

    - #### wmBonusHours

          protected double wmBonusHours

      Bonus hours

  - ### Constructor Detail

    - #### AgentTimeoffBonus

          public AgentTimeoffBonus()

  - ### Method Detail

    - #### getWmBonusID

          public int getWmBonusID()

      Gets the value of the wmBonusID property.

    - #### setWmBonusID

          public void setWmBonusID(int value)

      Sets the value of the wmBonusID property.

    - #### getGswAgentID

          public int getGswAgentID()

      Gets the value of the gswAgentID property.

    - #### setGswAgentID

          public void setGswAgentID(int value)

      Sets the value of the gswAgentID property.

    - #### getWmTimeoffTypeID

          public int getWmTimeoffTypeID()

      Gets the value of the wmTimeoffTypeID property.

    - #### setWmTimeoffTypeID

          public void setWmTimeoffTypeID(int value)

      Sets the value of the wmTimeoffTypeID property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmSubmitDatetime

          public double getWmSubmitDatetime()

      Gets the value of the wmSubmitDatetime property.

    - #### setWmSubmitDatetime

          public void setWmSubmitDatetime(double value)

      Sets the value of the wmSubmitDatetime property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.

    - #### getGswUserID

          public int getGswUserID()

      Gets the value of the gswUserID property.

    - #### setGswUserID

          public void setGswUserID(int value)

      Sets the value of the gswUserID property.

    - #### getWmBonusHours

          public double getWmBonusHours()

      Gets the value of the wmBonusHours property.

    - #### setWmBonusHours

          public void setWmBonusHours(double value)

      Sets the value of the wmBonusHours property.

    - #### withWmBonusID

          public AgentTimeoffBonus withWmBonusID(int value)

    - #### withGswAgentID

          public AgentTimeoffBonus withGswAgentID(int value)

    - #### withWmTimeoffTypeID

          public AgentTimeoffBonus withWmTimeoffTypeID(int value)

    - #### withWmStartDate

          public AgentTimeoffBonus withWmStartDate(double value)

    - #### withWmEndDate

          public AgentTimeoffBonus withWmEndDate(double value)

    - #### withWmSubmitDatetime

          public AgentTimeoffBonus withWmSubmitDatetime(double value)

    - #### withWmComments

          public AgentTimeoffBonus withWmComments(java.lang.String value)

    - #### withGswUserID

          public AgentTimeoffBonus withGswUserID(int value)

    - #### withWmBonusHours

          public AgentTimeoffBonus withWmBonusHours(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.